Subject: Re: bug#10539: 24.0.92; low display-time-interval makes Emacs slow

From: Eli Zaretskii <[email-masked]>
Date: Mon, 30 Jan 2012 19:44:01 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Glenn Morris <[email-masked]>,  [email-masked],  [email-masked]
> Date: Sun, 29 Jan 2012 23:40:29 -0500
> 
> > I don't mind, but I'd like Chong's and Stefan's opinion on this first.
> > The way the function is (was) implemented it exploits intimate
> > knowledge about redisplay's inner workings.  Maybe we should simply
> > expose to Lisp the corresponding internal variables instead, or
> > provide Lisp primitive functions to set them?
> 
> I don't mind the current code, but it deserves a comment pointing to the
> corresponding part of the C code that is affected.

The two internal variables in question (update_mode_lines and
windows_or_buffers_changed) affect many parts of the display code, and
also appear in buffer.c, window.c, and a bunch of other files.  Just
grep for them, they are all over the place.

So I'm unsure what you mean by "corresponding part of the C code".